{
===============================================================================
  Copyright (©) 2003. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 04-02-2005
  Versión actual: 1.0.0
  Fecha versión actual: 04-02-2005
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
===============================================================================
}

unit PantallaInformesCompras;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, RdxFrame, ExtCtrls, RdxPaneles, RdxBarras, StdCtrls, RdxBotones,
  Entidades;

type
  TfrInformesCompras = class(TRdxFrame)
    BarraInformes: TRdxBarraSuperior;
    pnlCuerpo: TPanel;
    RdxPanel1: TRdxPanel;
    Panel1: TPanel;
    Image1: TImage;
    Label1: TLabel;
    Label2: TLabel;
    Panel2: TPanel;
    Panel3: TPanel;
    bSeleccionar: TRdxBoton;
    Panel4: TPanel;
    Panel5: TPanel;
    Panel6: TPanel;
    Panel17: TPanel;
    Image4: TImage;
    Panel18: TPanel;
    Panel19: TPanel;
    RdxBoton3: TRdxBoton;
    Panel20: TPanel;
    Label7: TLabel;
    Label8: TLabel;
    Panel21: TPanel;
    imgSombra: TImage;
    procedure bSeleccionarClick(Sender: TObject);
    procedure RdxBoton3Click(Sender: TObject);
  protected
    function CambiarEntidad(EntidadAnterior, Entidad : TRdxEntidad): Boolean; override;
  public
    constructor Create (AOwner: TComponent); override;
  end;

var
  frInformesCompras: TfrInformesCompras;

implementation

{$R *.dfm}

uses
  InformeTrimestral, HistorialFacturacionProveedores, Configuracion,
  TablaProveedores, StrFunc, Mensajes, Literales;

procedure TfrInformesCompras.bSeleccionarClick(Sender: TObject);
begin
  if not esCadenaVacia(dmTablaProveedores.DarNombreProvMin) then
  begin
    Contenido := TfrHistorialFacturacionProveedores.Create(Self);
    Contenido.Modo := Imprimir;
  end
  else
    verMensaje(msgProvNoHayProv);
end;

procedure TfrInformesCompras.RdxBoton3Click(Sender: TObject);
begin
  Contenido := TfrInformeTrimestral.Create(Self);
  Contenido.Entidad := entInformeTrimestralCompras;  
  Contenido.Modo := Consultar;
end;

constructor TfrInformesCompras.Create(AOwner: TComponent);
begin
  inherited;
  Entidad := entInformes;
end;

function TfrInformesCompras.CambiarEntidad(EntidadAnterior, Entidad: TRdxEntidad): Boolean;
begin
  inherited CambiarEntidad(EntidadAnterior, Entidad);
  ConfigurarFrame(Self, Self.Entidad);
end;

end.
